package org.dive4elements.river.artifacts.model.sq;

import java.io.Serializable;


public class SQ implements Serializable {

    protected double s;
    protected double q;

    public SQ() {
    }

    public SQ(double s, double q) {
        this.s = s;
        this.q = q;
    }


    public double getS() {
        return s;
    }

    public void setS(double s) {
        this.s = s;
    }


    public double getQ() {
        return q;
    }

    public void setQ(double q) {
        this.q = q;
    }

    public boolean isValid() {
        return !Double.isNaN(s) && !Double.isNaN(q);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
